{{page-title (t "CAPTCHA") }}

<div class="container">

  <div class="row">
    <div class="col">
      <h1>{{t "CAPTCHA"}}</h1>
    </div>
  </div>

  <div class="row mt-4">
    <div class="col">
      <label for="input-captcha-enabled">{{capitalize (t "status")}}</label>
      <select class="form-select input-captcha-enabled" id="input-captcha-enabled" onchange={{action (mut this.model.enabled.value) value="target.value"}} disabled={{this.isSaving}}>
        {{#each this.status as |item|}}
          <option value={{item.value}} selected={{eq this.model.enabled.value item.value}}>{{item.name}}</option>
        {{/each}}
      </select>
    </div>
  </div>

  {{#if (eq this.model.enabled.value "reCAPTCHA")}}
    <div class="row mt-4">
      <div class="col">
        <p>
          {{t "recaptcha-message"}}
          <a href="https://www.google.com/recaptcha/intro/v3.html" rel="noreferrer noopener" target="_blank">
            https://www.google.com/recaptcha/intro/v3.html
          </a>
        </p>

        <label for="input-recaptcha-site-key" class="capitalize-first-letter">{{t "site key"}}</label>
        <Input @value={{@model.recaptchaSiteKey.value}} class="form-control input-recaptcha-site-key" id="input-recaptcha-site-key" disable={{this.isSaving}} />
      </div>
    </div>

    <div class="row mt-4">
      <div class="col">
        <label for="input-recaptcha-secret-key" class="capitalize-first-letter">{{t "secret key"}}</label>
        <Input @value={{@model.recaptchaSecretKey.value}} id="input-recaptcha-secret-key" class="form-control input-recaptcha-secret-key" disable={{this.isSaving}} />
      </div>
    </div>
  {{/if}}

  {{#if (eq this.model.enabled.value "mtCAPTCHA")}}
    <div class="row mt-4">
      <div class="col">

      <p>
        {{t "mtcaptcha-message"}}
        <a href="https://www.mtcaptcha.com" rel="noreferrer noopener" target="_blank">
          https://www.mtcaptcha.com
        </a>
      </p>

        <label for="input-mtcaptcha-site-key" class="capitalize-first-letter">{{t "site key"}}</label>
        <Input @value={{@model.mtcaptchaSiteKey.value}} class="form-control input-mtcaptcha-site-key" id="input-mtcaptcha-site-key" disable={{this.isSaving}} />
      </div>
    </div>

    <div class="row mt-4">
      <div class="col">
        <label for="input-mtcaptcha-private-key" class="capitalize-first-letter">{{t "private key"}}</label>
        <Input @value={{@model.mtcaptchaPrivateKey.value}} class="form-control input-mtcaptcha-private-key" id="input-mtcaptcha-private-key" disabled={{this.isSaving}} />
      </div>
    </div>
  {{/if}}

  <div class="row mt-3">
    <div class="col">
      <Input::Button class="btn btn-primary mt-3 mb-5" @action={{this.save}} @disabled={{this.isDisabled}}>
        {{capitalize (t "save")}}
      </Input::Button>
    </div>
  </div>
</div>

